{% extends 'index.html' %}
{% load static %}

{% block theme-css-files %}
  <link href="{% static 'assets/css/gallery.css' %}" rel="stylesheet" type="text/css"/>
  <link href="{% static 'assets/css/cropper.min.css' %}" rel="stylesheet" type="text/css"/>
{% endblock %}

{% block header-js %}
  {{ block.super }}
  <script src="{% static 'assets/js/vue/vee-validate.min.js' %}"></script>
  <script src="{% static 'assets/js/vue/vue-upload-component.min.js' %}"></script>
  <script src="{% static 'assets/js/vue/validators.js' %}"></script>
{% endblock %}

{% block title %}Редактирование заказа{% endblock title %}
{% block page %}
  {% include 'auto/auto_edit_form.html' %}
  {% include 'auto/search_car.html' %}
  <div class="section section_default">
    <div class="section__content">
      <div class="section__header">
        <div class="section__title">
          <h1>Добавление отчета</h1>
        </div>
      </div>
      <div class="section__body">
        <div class="report-edit">
          <div id="order" class="report-edit__content">
            <form class="report-form report-form_edit">
              <div class="report-form__body">
                <search-car ref="searchCar" objects-url="{% url 'lk:cars_for_order' order_id %}" :multiple="true"></search-car>
              </div>
              <div class="report-form__footer">
                <button id="submit-button" class="btn btn_m btn_primary" @click.prevent="addCarsToForm()" style="display:none;">
                  <div class="btn__grid">
                    <div class="btn__title">Сохранить</div>
                  </div>
                </button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock %}

{% block not-compressed-js %}
  {{ block.super }}
  <script>
    var globalState = {};
    var auto_id = {{ auto_id|default:'null' }};
    var store = {csrf: csrf, method: 2, uploadedFiles: []};
    {% if order_id %}
      var order_id = {{ order_id|default:'null' }};
    {% endif %}

    $(document).ready(function () {
      var topBarHeight = $('.top-bar').height();
      $('.report-edit__progress').stick_in_parent({
        parent: '.report-edit__content',
        offset_top: topBarHeight
      }).on('sticky_kit:stick', function () {
          $('.report-edit__step').appendTo('.top-bar');
        }).on('sticky_kit:unstick', function () {
          $('.report-edit__step').insertAfter('.report-edit__header h2');
        });
      });
      $(document).on('mq_tablet', function () {
          $('.report-nav').trigger('sticky_kit:detach').appendTo('.right-bar__content');
      });
      $(document).on('mq_tablet_', function () {
        $('.report-nav').appendTo('.report-edit__nav').stick_in_parent({offset_top: 40});
    });

    $(document).ready(function () {
      $('.car-form select').select2({});
    });
  </script>
{% endblock %}


{% block script %}
  {{ block.super }}
  <script src="{% static 'assets/js/auto/loader.js' %}"></script>
  <script src="{% static 'assets/js/other/image-compressor.min.js' %}"></script>
  {% block js-bundle %}
    <script src="{% static 'js/ordercaradd.bundle.js' %}"></script>
  {% endblock %}
  <script src="{% static 'assets/js/other/cropper.min.js' %}"></script>
  <script>
    $('.car-form select').select2({});
   </script>
{% endblock %}
